List of Figures

Figure 4-1. Rules Table Dialog Box 28

Figure 4-2. Rules Preview Dialog Box 29

Figure 4-3. Edit Transformations Dialog Box: Translation Properties Tab 30

Figure 4-4. Translation Manager Connection Dialog Box 32

Figure 4-5. Connection Object Definition Dialog Box 33

Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
NEXT


Overview.html

PREV NEXT

Understanding Hyperion Data Integration Management Adapter for Translation Manager

This chapter covers the following topics:

  • Hyperion Data Integration Manager Adapter for Translation Manager Overview
  • Creating Translation Manager Transformations
Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
PREV NEXT


Hyperion Data Integration Manager Adapter for Translation Manager Overview

Oracle Hyperion®Data Integration Management Adapter for Translation Manager provides connectivity between PowerCenter and the Oracle Hyperion® Translation Manager. It enables you to fetch translation rules from Translation Manager rules tables so that data can be translated accordingly in the Informatica Power Center mappings.

When you create a transformer with the Translation Manager adapter, it has input and output ports that reflect the selected rules table. You can define up to 99 additional value ports for sign reversal. Data passed to these additional value ports is inverted if sign reversal is enabled in the rule that is applied during translation.


Creating Translation Manager Transformations

To create a Translation Manager transformation in PowerCenter Designer:

  1. Take one of these actions:
    • Click the Translation Manager transformer icon, [image] , at the far right of the Advance Transformations toolbar.
    • Select Transformations > Create.

      The Create Transformation dialog box appears.

Figure 1-1. Create Transformation Dialog Box

  2. Select Hyperion Translation Manager.

    The connection dialog box appears. See Hyperion Translation Manager Connection Dialog Box.

  3. Enter the name of the Translation Manager host computer, the RMI port number, and your user name and password, and click OK.

    Note: The default RMI port is 11333, but you can enter another port number.

    You are connected to the Translation Manager host computer, and the Rules Table dialog box appears. See Rules Table Dialog Box.

  4. Under Properties, enter a name for the new transformation in Transformation Name, and select a rules table from the drop-down list.

    Tip: You can click Preview to preview the rules in the selected table.

    The number of input and output ports created for the transformation equals the number of input and output ports for the selected rules table. For example, if the rules table has two input ports and one output port, then two input ports and one output port are created for the transformation.

    You can create up to 99 value ports, which you can use to create sign reversal data ports for the Translation Manager transformer. Whether the sign is reversed depends on the applied translation rule.

    Input and output ports are created for each value port:

    • Sign reversal input ports are used to pass numeric data to perform conditional sign reversal. The sign is reversed if sign reversal is enabled in the rule that is applied to translate the inputs. If the inputs cannot be translated, the sign is not reversed.
    • Sign reversal output ports return numeric data from the corresponding input port after performing the conditional sign reversal. Whether the sign is reversed or not depends on the rule applied to translate the inputs. If the inputs cannot be translated, the sign is not reversed on value port data.

      With sign reversal input and output ports, the sign is reversed if sign reversal is enabled in the rule that is applied to translate the inputs. If the inputs cannot be translated, the sign is not reversed.

      The default prefix for value port names is Value, but you can specify a different name prefix. If you use the default prefix and enter 3 as the number of ports, then three input ports and three output ports are created with names Value1, Value2, and Value3.

  5. In the On Translation Failure box, select which action is taken if the translation cannot be performed on the input data:
    • Mark as Erroneous—The record is marked as erroneous and the session may end, depending upon the value specified in Stop on Errors session parameter.
    • Fill default—If the translation fails, the output ports of the transformation are filled with the specified text.


Editing Translation Manager Transformations

You can change the selected rules table for a Translation Manager transformation and update other Translation Manager translation properties.

To edit a transformation:

  1. Right-click and select Edit.

    The Edit Transformations dialog box appears. See Edit Transformations Dialog Box.

  2. Use the Translation Properties tab to edit properties. See Translation Properties Tab.

    The input and output ports for the transformer are modified to reflect your changes.


Input and Output Ports

This chapter covers the following topics:

  • Input Parameters Port
  • Output Parameters Port
  • Sign Reversal Value Output Port
  • RuleIndex Port
  • RuleDescription Port


Input Parameters Port

The name of the input parameters port for a Translation Manager transformation depends on the selected rules table. The name of the input port matches the input column name on the specified rule table.

There is one input port for every input column defined in the selected rule table. Each transformation must have at least one input port. You must connect all input ports, using as many as 255 characters.


Output Parameters Port

The name of the output parameters port for a Translation Manager transformation depends on the selected rules table. The name of the output port matches the output column name on the specified rule table.

There is one output port for every output column defined in the selected rule table. The name of the output port is the same as the output column name on the specified rules table. Output ports are not required.


Sign Reversal Value Input Port

A sign reversal value input port has the name Prefix_IN_#.

  • Prefix is Value (the default) or another prefix that you enter in the Rules Table dialog box.
  • # is the number of the value port.

For example, if you use the default prefix and enter 3 as the number of ports when you create the port, then three input ports and three input ports are created with names Value_IN_1, Value_IN_2, and Value_IN_3.

In this port, you enter a numeric value to perform conditional sign reversal, so that whether the sign is reversed depends on the rule that is applied to translate the inputs. If the inputs cannot be translated, the sign is not reversed on the value port data.


Sign Reversal Value Output Port

A sign reversal value input port has the name Prefix_OUT_#.

  • Prefix is Value (the default) or another prefix that you enter in the Rules Table dialog box.
  • # is the number of the value port.

For example, if you use the default prefix and enter 3 as the number of ports when you create the port, then three input ports and three input ports are created with names Value_OUT_1, Value_OUT_2, and Value_OUT_3.

Sign reversal value output ports return the numeric data from corresponding input ports after performing the conditional sign reversal. Whether the sign is reversed depends on the rule that is applied to translate the inputs. If the inputs cannot be translated, the sign is not reversed on the value port data.


RuleIndex Port

RuleIndex is an output port that returns the number of the rule that is used to translate a record. If the record is not translated, the RuleIndex port returns 0.


RuleDescription Port

RuleDescription is an output port that returns the text of the rule that is used to translate a record. The output is a comma-separated line of the inputs, reverse sign value, and the outputs. For a record that is not translated, the output is an empty string.


Connection Objects

This chapter covers the following topics:

  • Connection Objects Overview
  • Creating Translation Manager Connection Objects


Connection Objects Overview

You use a connection object of the Translation Manager Connection type to connect to Translation Manager at runtime. If you use a Translation Manager Connection object when setting up a mapping for a session, it appears in the list of available connections.

You can create a connection object that contains specific information for a Translation Manager connection. For example, you can create an object that uses your user name and password for connecting to the server that hosts Translation Manager.


Creating Translation Manager Connection Objects

After you create a connection object, you can select it to provide the connection information for an Enterprise source or destination when you set up a mapping for a session.

To create a Translation Manager Connection object:

  1. In the Application Connection Browser dialog box, select Hyperion Translation Manager Connection from the Select Type list, and click New.
Figure 3-1. Application Connection Browser Dialog Box

The Connection Object Definition dialog box appears. See Connection Object Definition Dialog Box.

  2. Enter your Translation Manager user name and password.

    Note: You can also enter the name of the server hosting Translation Manager and an RMI port number.

  3. To specify a runtime parameter for the Translation Manager connection in the workflow, select Use Connection Variable and enter a setting for the parameter in the box for this option.

    Note: You can change the parameter at runtime.

  4. Click OK.


Dialog Boxes

This chapter covers the following topics:

  • Rules Table Dialog Box
  • Rules Preview Dialog Box
  • Edit Transformations Dialog Box
  • Hyperion Translation Manager Connection Dialog Box


Rules Table Dialog Box

When you create a Translation Manager transformer instance, the connection to the Translation Manager server is established, and then the list of rules tables is fetched from server. You select a rules table in the Rules Tables dialog box. The owner's name for the selected rules table, preceded by a colon, is appended to the rules table name.

Figure 4-1. Rules Table Dialog Box


Rules Preview Dialog Box

You use the Rules Preview dialog box only to preview the rules in a selected rules table. It appears when you click Preview in the Rules Table dialog box. To add, edit, or delete rules tables, you use Translation Manager.

Figure 4-2. Rules Preview Dialog Box


Edit Transformations Dialog Box

See these topics for information about the tabs on the Edit Transformations dialog box:

  • Transformation Tab
  • Ports Tab
  • Properties Tab
  • Initialization Properties Tab
  • Metadata Extensions Tab
  • Translation Properties Tab

Translation Properties Tab

You use the Translation Properties tab to update the selected rules table or preview the rules that are defined in the table.

Figure 4-3. Edit Transformations Dialog Box: Translation Properties Tab

You can click Preview to preview the rules that are defined in the specified rules table. Clicking Preview displays the Connection dialog box. The rules table appears when you connect to the Translation Manager server.

You can click Change to update the selected rules table. Clicking Change displays the Connection dialog box. When you connect to the Translation Manager server, the list of rules table names is updated.

Metadata Extension Properties Tab

The Metadata Extension Properties tab of the Edit Transformations dialog box shows the metadata extension properties that are added to the transformation and stored in the repository for performing the required translation:

  • RulesTable—Rules table name
  • PortPrefix—Name prefix for the value ports that you create for sign reversal
  • NumberOfPorts—Number of sign reversal ports to be created
  • TranslationFailureAction—0 if you selected Mark as erroneous; 1 if you selected Fill data value
  • DefaultTranslationValue—If TranslationFailureAction is set to 1, the value that is output in case of translation failure

You cannot edit the extensions directly. They are based on the selections you make on the Translations tab. See Translation Properties Tab.

Translation Properties Tab

You implement a Translation Manager transformation by customizing the Custom Transformer that is provided in PowerCenter. These custom transformation-specific predefined properties are defined for Translation Manager transformations:

  • Module Identifier—dim_htm_engine
  • Function Identifier—Translate
  • Runtime Location—There is no predefined entry for this property.
  • Tracing Level—Normal
  • Is Partionable—Yes
  • Inputs Must Block—No
  • Is Active—No
  • Update Strategy Transformation—No
  • Transformation Scope—Row
  • Generate Transaction—No
  • Output Is Repeatable—Based on input order

The only property you can change on the Properties tab is Tracing Level.


Hyperion Translation Manager Connection Dialog Box

You must connect to the Translation Manager server to create a transformation instance or to edit or preview a rules table.

Figure 4-4. Translation Manager Connection Dialog Box

You enter this information in the connection dialog box and then click OK to connect to the server:

  • Host—Name of the server where Translation Manager resides
  • RMI Port—RMI port number

    Note: The default RMI port is 11333, but you can enter another port number.

  • Your user name for the server
  • Your password for the server


Connection Object Definition Dialog Box

You use the Connection Objects Definition dialog box to define Translation Manager Connection objects for connecting to Translation Manager servers at runtime.

Figure 4-5. Connection Object Definition Dialog Box

You must enter your user name and password for the connection. You can also enter the name of the server that hosts Translation Manager an RMI pot number in the Attributes box.

Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
PREV